@echo off

fpc -Mobjfpc -Sah -gl %1

exit /b

fpc -iTP > tmpvar
set /p myplatform= < tmpvar
fpc -iTO > tmpvar
set /p myos= < tmpvar
del tmpvar
echo %myplatform%-%myos%

rem fpc.exe eschecs.pas @..\build.cfg | find "Compiling"
rem fpc.exe eschecs.pas @..\build.cfg | findstr "Compiling Error"
rem fpc.exe eschecs.pas @..\build.cfg | findstr /i "compiling error"
